#@TYPE: Machine
#@NAME: Parrot Ar Drone 2
#@DESCRIPTION: installer to use with parrot tools and cable. 

# build plf image
INHERIT += "plf-image"

include conf/machine/include/tune-cortexa8.inc

IMAGE_FSTYPES += "plf"

SERIAL_CONSOLE = "115200 ttyO3"

PREFERRED_PROVIDER_virtual/kernel ?= "linux-ardrone2"

KERNEL_IMAGETYPE = "zImage"

USE_DEVFS = "0"

BOOT_PARAMS="mtdparts=omap2-nand.0:512K(Pbootloader),8M(Pmain_boot),8M(Pfactory),114176K(Psystem) console=ttyO3,115200 loglevel=8 g_serial.use_acm=0 "

CORE_IMAGE_MINIMAL_EXTRA_INSTALL = "coreutils-minimal ardrone2-flash-scripts packagegroup-core-ssh-dropbear"
